package com.sifang.modules.supply.order.vo;

import java.util.List;

// 系统代理商订单 同步企企的model
public class OrderTbQqVO {

    /**
     * 系统订单id
     */
    private String id;
    /**
     * 订单来源 5.现金下单 非5.赊销下单
     */
    private String type;
    /**
     * 代理商id
     */
    private String  traderId;
    /**
     * 企企的客户编码
     */
    private String companyCode;
    /**
     * 企企的项目编码
     */
    private String projectCode;
    /**
     * 企企的项目名称
     */
    private String projectName;
    /**
     * 订单的收货地址-城市名称
     */
    private String city;
    /**
     * 企企的领出仓库编码
     */
    private String warehouseCode;

    /**
     * 物品详情
     */
    private List<OrderTbQqDetailsVO> list;

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getProjectCode() {
        return projectCode;
    }

    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public List<OrderTbQqDetailsVO> getList() {
        return list;
    }

    public void setList(List<OrderTbQqDetailsVO> list) {
        this.list = list;
    }
}
